Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security
Class Security

    java.lang.Object
      |
      +--weblogic.security.Security

public final class Security
extends java.lang.Object

This class implements the WLS client runAs methods. Client applications use the runAs methods to associate their Subject identity with the PrivilagedAction or the PrivilegedExceptionAction they plan to execute.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Security()`

Method Summary
`static javax.security.auth.Subject` | `getCurrentSubject()` Returns a javax.security.auth.Subject object.
`static java.lang.Object` | `runAs(javax.security.auth.Subject user, java.security.PrivilegedAction action)` Executes a privileged action on behalf of the user identity.
`static java.lang.Object` | `runAs(javax.security.auth.Subject user, java.security.PrivilegedExceptionAction action)` Executes a privileged exception action on behalf of the user identity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Security

    public Security()

Method Detail

### runAs

    public static java.lang.Object runAs(javax.security.auth.Subject user,
                                         java.security.PrivilegedAction action)

  Executes a privileged action on behalf of the user identity.

  Parameters:
    `user` - Identity to perform action on behalf of
    `action` - Privileged action to perform
  Returns:
    the return value of action.run()
  Throws:
    java.lang.SecurityException - thrown if the subject or actions is null

### runAs

    public static java.lang.Object runAs(javax.security.auth.Subject user,
                                         java.security.PrivilegedExceptionAction action)
                                  throws java.security.PrivilegedActionException

  Executes a privileged exception action on behalf of the user identity.

  Parameters:
    `user` - Identity to perform action on behalf of
    `action` - Privileged exception action to perform
  Returns:
    the return value of action.run()
  Throws:
    java.lang.SecurityException - thrown if the subject or actions is null
    java.security.PrivilegedActionException - For exceptions generated during execution of the privileged exception action

### getCurrentSubject

    public static javax.security.auth.Subject getCurrentSubject()

  Returns a javax.security.auth.Subject object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD